## mx4j.tools.remote.soap
Class SOAPConnectorServer

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          javax.management.remote.JMXConnectorServer
              mx4j.tools.remote.AbstractJMXConnectorServer
                  mx4j.tools.remote.http.HTTPConnectorServer
                      mx4j.tools.remote.soap.SOAPConnectorServer

All Implemented Interfaces:
  javax.management.remote.JMXConnectorServerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class SOAPConnectorServer
extends HTTPConnectorServer

Version:
  $Revision: 1.17 $

Field Summary

Fields inherited from class mx4j.tools.remote.http.HTTPConnectorServer
`EMBEDDED_WEB_CONTAINER_CLASS, USE_EXTERNAL_WEB_CONTAINER`

Fields inherited from class javax.management.remote.JMXConnectorServer
`AUTHENTICATOR`

Constructor Summary
`SOAPConnectorServer(javax.management.remote.JMXServiceURL url, java.util.Map environment, javax.management.MBeanServer server)`

Method Summary
`protected ConnectionManager` `createConnectionManager(AbstractJMXConnectorServer server, java.util.Map environment)`

Methods inherited from class mx4j.tools.remote.http.HTTPConnectorServer
`doStart, doStop`

Methods inherited from class mx4j.tools.remote.AbstractJMXConnectorServer
`connectionClosed, connectionFailed, connectionOpened, getAddress, getAttributes, getEnvironment, getLogger, isActive, isStopped, setAddress, start, stop`

Methods inherited from class javax.management.remote.JMXConnectorServer
`getConnectionIds, getMBeanServer, getNotificationInfo, postDeregister, postRegister, preDeregister, preRegister, setMBeanServerForwarder, toJMXConnector`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPConnectorServer

    public SOAPConnectorServer(javax.management.remote.JMXServiceURL url,
                               java.util.Map environment,
                               javax.management.MBeanServer server)

Method Detail

### createConnectionManager

    protected ConnectionManager createConnectionManager(AbstractJMXConnectorServer server,
                                                        java.util.Map environment)

  Specified by:
    `createConnectionManager` in class `HTTPConnectorServer`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.